/***********************************************************************/
/*                                                                     */
/*  FILE        :Main.c or Main.cpp                                    */
/*  DATE        :Tue, Oct 31, 2006                                     */
/*  DESCRIPTION :Main Program                                          */
/*  CPU TYPE    :                                                      */
/*                                                                     */
/*  NOTE:THIS IS A TYPICAL EXAMPLE.                                    */
/*                                                                     */
/***********************************************************************/
//#include "typedefine.h"
#ifdef __cplusplus
//#include <ios>                        // Remove the comment when you use ios
//_SINT ios_base::Init::init_cnt;       // Remove the comment when you use ios
#endif

#include "r_cg_macrodriver.h"
#include "Config_SCI6.h"
#include "Config_CMT0.h"
#include "lib.h"

void main(void);
#ifdef __cplusplus
extern "C" {
void abort(void);
}
#endif

unsigned char BACKSPACE[3] = { 0x08, 0x20, 0x08 };

void test( int flg )
{
	if ( flg )
	{
		user_tx( "*", 1 );
	}
	else
	{
		user_tx( BACKSPACE, 3 );
	}
}

void main( void )
{
	R_Config_SCI6_Start();
	R_Config_CMT0_Start();

	user_tx( "Program Start.\r\n", 16 );

	while(1)
	{
		for( int i = 0; i < 8; i++ )
		{
			user_wait( 500 );

			test( getval() );
		}

		toggle();
	}
}

#ifdef __cplusplus
void abort(void)
{

}
#endif
